Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse version for Linux development(Which version of the eclipse need to be used for linux team?)
Eclipse version for Linux development [message #1429367] Tue, 23 September 2014 06:16 Go to next message
Sri naga Satish Chandra Kajjam is currently offline Sri naga Satish Chandra KajjamFriend
Messages: 2
Registered: September 2014
Junior Member
For Linux team, the following requiements need to be supported by eclipse
- Shell scripting
- rpm building
- puppet development
- python development

Which version of eclipse can be used. Could any one let me know.

Thanks,
Satish.
Re: Eclipse version for Linux development [message #1429675 is a reply to message #1429367] Tue, 23 September 2014 15:19 Go to previous messageGo to next message
Denis Roy is currently offline Denis RoyFriend
Messages: 466
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

The Eclipse Standard package will work for you:
http://eclipse.org/downloads/

For shell scripting, look at the Remote Systems Explorer plugin: http://www.eclipse.org/tm/
For python: PyDev: http://pydev.org/
For Puppet: http://puppetlabs.com/blog/geppetto-a-puppet-ide
For RPM: http://www.eclipse.org/linuxtools/


Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Re: Eclipse version for Linux development [message #1431244 is a reply to message #1429675] Thu, 25 September 2014 12:00 Go to previous messageGo to next message
Sri naga Satish Chandra Kajjam is currently offline Sri naga Satish Chandra KajjamFriend
Messages: 2
Registered: September 2014
Junior Member
One more question,

Is eclipse 4.4 supports C/C++ development too. If yes, What plugin can be installed

Thanks,
Satish.
Re: Eclipse version for Linux development [message #1431269 is a reply to message #1431244] Thu, 25 September 2014 12:41 Go to previous message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 502
Registered: August 2014
Senior Member
Sri naga Satish Chandra Kajjam wrote on Thu, 25 September 2014 15:00
One more question,

Is eclipse 4.4 supports C/C++ development too. If yes, What plugin can be installed

Thanks,
Satish.


You need the C/C++ compilers with associated utilities, usually packaged into the Program Development package of your Linux distribution.

Eclipse has C/C++ support which can be installed from the Eclipse distribution site from Programming Languages section. There are also special tools for Linux in an own section, but they do not cover the basic C/C++ development.


--

Tauno Voipio
Previous Topic:using eclipse for Pro*C
Next Topic:EclipseLink/JPA PLSQLStoredFunction with IN OUT NOCOPY
Goto Forum:
  


Current Time: Sat Oct 19 04:31:16 GMT 2019

Powered by FUDForum. Page generated in 0.03272 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top